Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc
Class ZipPackage

    java.lang.Object
      org.apache.poi.openxml4j.opc.OPCPackage
          org.apache.poi.openxml4j.opc.Package
              org.apache.poi.openxml4j.opc.ZipPackage

All Implemented Interfaces:
  RelationshipSource, poi.support.Closeable

    public final class ZipPackage

extends Package

Physical zip package.

Author:
  Julien Chable

Constructor Summary
`ZipPackage()` Constructor.

Method Summary
`ZipEntrySource` | `getZipArchive()` Get the zip archive
`void` | `saveImpl(java.io.OutputStream outputStream)` Save this package into the specified stream

Methods inherited from class org.apache.poi.openxml4j.opc.Package
`create, create, create, open, open, open, openOrCreate`

Methods inherited from class org.apache.poi.openxml4j.opc.OPCPackage
`addExternalRelationship, addExternalRelationship, addMarshaller, addRelationship, addRelationship, addThumbnail, addUnmarshaller, clearRelationships, close, containPart, createPart, createPart, deletePart, deletePartRecursive, ensureRelationships, flush, getPackageAccess, getPackageProperties, getPart, getPart, getParts, getPartsByContentType, getPartsByName, getPartsByRelationshipType, getRelationship, getRelationships, getRelationshipsByType, hasRelationships, isRelationshipExists, removeMarshaller, removePart, removePart, removePartRecursive, removeRelationship, removeUnmarshaller, replaceContentType, revert, save, save, validatePackage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipPackage

    public ZipPackage()

  Constructor. Creates a new ZipPackage.

Method Detail

### saveImpl

    public void saveImpl(java.io.OutputStream outputStream)

  Save this package into the specified stream

  Parameters:
    `outputStream` - The stream use to save this package.
  See Also:
    `OPCPackage.save(OutputStream)`

### getZipArchive

    public ZipEntrySource getZipArchive()

  Get the zip archive

  Returns:
    The zip archive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD